## morse-x 20040713

=== Makefile ===
# GNU Make - Makefile
# for morse-x (C) Stephan Beyer, 2004

CC	= gcc
LINKER	= gcc
CFLAGS	= -ansi -pedantic -pedantic-errors -Wall -Werror -Wunreachable-code
LDFLAGS	= -L/usr/X11R6/lib -L/usr/lib/X11R6/ -lX11 -lXpm
OBJ	= errors.o morse.o common.o calibrate.o options.o main.o
BINARY	= morse-x
CLEAN	= *~ *.bak *.o $(BINARY) Makefile.headers

.SUFFIXES: .c .o

all: $(OBJ)
	$(LINKER) $(LDFLAGS) -o "$(BINARY)"	$(OBJ)

include Makefile.headers

# strange, but nice ;) taken from IMine
Makefile.headers:
	grep '^#include *".*"' *.c | sed 's/\(.*\).c:#include *"\(.*\)".*/\1.o: \2/' > Makefile.headers

%o: %c
	$(CC) $(CFLAGS) -c -o $@	$<

clean:
	rm -f $(CLEAN)

install:
	strip "$(BINARY)"
	install -d $(DESTDIR)/usr/bin
	install $(BINARY) $(DESTDIR)/usr/bin

deb:
	dpkg-buildpackage -rfakeroot

deb-clean:
	rm -rf debian/morse-x debian/files debian/*substvars
	$(MAKE) clean

=== debian/changelog ===
morse-x (20040713) unstable; urgency=low

  * Added manual page.

 -- Stephan Beyer <s-beyer@gmx.net>  Tue, 13 Jul 2004 02:20:34 +0200

morse-x (20040415) unstable; urgency=low

  * Delete window via window manager.
  * Code cleanup (even got smaller binary).

 -- Stephan Beyer <s-beyer@gmx.net>  Thu, 15 Apr 2004 20:38:31 +0200

morse-x (20040414) unstable; urgency=low

  * Initial Release.

 -- Stephan Beyer <s-beyer@gmx.net>  Wed, 14 Apr 2004 17:55:43 +0200

=== debian/control ===
Source: morse-x
Section: hamradio
Priority: optional
Maintainer: Stephan Beyer <s-beyer@gmx.net>
Build-Depends: debhelper (>= 4.0.0), libx11-dev | xlibs-dev (>> 4.1.0), libxpm-dev | xlibs-dev (>> 4.1.0)
Standards-Version: 3.6.1

Package: morse-x
Architecture: any
Depends: ${shlibs:Depends}
Description: morse "practicing" tool for X
 morse-x offers you a window to put dits and daws into - by pressing any 
 key (except q = quit). On the console it prints each character you morsed
 in. (So start it in an x-terminal-emulator.) On the first execution you 
 have to calibrate the length of dits and daws, so just follow the 
 instructions on the console.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build:
	dh_testdir
	$(MAKE)

clean:
	dh_testdir
	dh_testroot
	-$(MAKE) clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	# Add here commands to install the package into debian/morse-x.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/morse-x


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs TODO
#	dh_install
	dh_installman morse-x.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## morse-x 20060903

=== Makefile ===
--- 
+++ 
@@ -1,18 +1,17 @@
-# GNU Make - Makefile
-# for morse-x (C) Stephan Beyer, 2004
-
 CC	= gcc
 LINKER	= gcc
-CFLAGS	= -ansi -pedantic -pedantic-errors -Wall -Werror -Wunreachable-code
-LDFLAGS	= -L/usr/X11R6/lib -L/usr/lib/X11R6/ -lX11 -lXpm
-OBJ	= errors.o morse.o common.o calibrate.o options.o main.o
+LIBS	= `sdl-config --libs` -lm
+CFL_W	= -Wno-sign-compare -Wpointer-arith -Wno-system-headers -Wshadow -Wbad-function-cast -Werror -Wunreachable-code
+CFLAGS	= -ansi -pedantic -pedantic-errors -Wall $(CFLAGS_W) `sdl-config --cflags`
+LDFLAGS	= -s
+OBJ	= errors.o morse.o audio.o main.o
 BINARY	= morse-x
 CLEAN	= *~ *.bak *.o $(BINARY) Makefile.headers
 
 .SUFFIXES: .c .o
 
 all: $(OBJ)
-	$(LINKER) $(LDFLAGS) -o "$(BINARY)"	$(OBJ)
+	$(LINKER) $(LIBS) $(LDFLAGS) -o "$(BINARY)"	$(OBJ)
 
 include Makefile.headers

=== debian/changelog ===
morse-x (20060903-0ubuntu1) precise; urgency=low

  * New upstream release.
    - update build dependencies
    - link-command.patch: refresh.

 -- Ilya Barygin <randomaction@ubuntu.com>  Sun, 06 Nov 2011 17:43:01 +0400

morse-x (20040713-0ubuntu1) oneiric; urgency=low

  * link-command.patch: fix FTBFS with --as-needed linker option
    (LP: #770947). Patch by John T. Nogatch.
  * Convert to non-native package, it's being developed elsewhere. Use
    source format 3.0 (quilt).
  * Add a watch file to remind us that a newer upstream version is available.
  * Switch to debhelper 7 with rules.tiny.
  * Drop obsolete build dependency (xlibs-dev).
  * Add ${misc:Depends} to binary dependencies.
  * Bump Standards-Version to 3.9.2.

 -- Ilya Barygin <barygin@gmail.com>  Thu, 01 Sep 2011 23:02:20 +0400

=== debian/control ===
Source: morse-x
Section: hamradio
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Stephan Beyer <s-beyer@gmx.net>
Build-Depends: debhelper (>= 7.0.50~), libsdl1.2-dev
Standards-Version: 3.9.2

Package: morse-x
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: morse "practicing" tool for X
 morse-x offers you a window to put dits and daws into - by pressing any 
 key (except q = quit). On the console it prints each character you morsed
 in. (So start it in an x-terminal-emulator.) On the first execution you 
 have to calibrate the length of dits and daws, so just follow the 
 instructions on the console.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

=== debian/watch ===
version=3
http://pkqs.net/~sbeyer/tools/morse-x/morse-x_0?\.?(\d+).*\.tar\.gz
